Subject: IPP> Re: Does the world need a robust host-to-device network prin

From: Jay Martin <[email-masked]>
Date: Wed, 11 Feb 1998 12:08:05 -0500

Paul,

> I dont really care what it is as long as :-
> 
> - everybody accepts that it is worth doing and implments it
> - it does what I need
> - it is consistent with IPP.

You first item is a foregone conclusion.  Everyone can agree to that.

Coming from Microsoft, we are all anxious to hear exactly
what it is you need.  Does IPP as it currently stand give
you what you need?  Or will Microsoft be "forced" into
adding all kinds of vendor-specific extensions to fill the holes?

> The problem is that printer manufacurers want to put IPP in their devices,
> they are reluctant to put yet another print protocol in as well. As don
> wright said 'I'd rather boil the ocean'

You know, I could have sworn Don said "I'd rather boil HP"...  ;-)

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

---

From: Paul Moore <[email-masked]>
Date: Wed, 11 Feb 1998 08:56:29 -0800

> -----Original Message-----
> From:	Harry Lewis [SMTP:[email-masked]]
> Sent:	Tuesday, February 10, 1998 4:05 PM
> To:	[email-masked]
> Cc:	[email-masked]; Paul Moore
> Subject:	Re: Does the world need a robust host-to-device network prin
> 
> If we were to address a new, standard, host-to-device printing protocol
> 
> > Now if somebody wants to have a separate debate about writing a really
> > robust protocol for interfacing to printers (and I mean the real
> hardware
> > not some logical abstraction) then that will suit me fine. Lets start a
> new
> > track and call it, say, NLS (Not LPD and SNMP). This is what I initially
> > wanted to do but could not persuade enough people.
> 
> in my opinion, it should be based on the set of attributes defined for IPP
> and the resulting device protocol should be as closely correlated with IPP
> as possible such that the mapping is very straight forward and simple.
> 
> Harry Lewis